Note
Access to this page requires authorization. You can try signing in or changing directories.
Access to this page requires authorization. You can try changing directories.
Update a timeRegistrationEntry in Business Central.
HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline.
PATCH businesscentralPrefix/companies({companyId})/timeRegistrationEntries({timeregistrationId})
Request headers (v1.0)
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json |
| If-Match | application/json |
Example (v1.0)
Request
Here is an example of the request.
PATCH https://{businesscentralPrefix}/api/v1.0/companies({id})/timeRegistrationEntries({timeregistrationId})
Content-type: application/json
{
"quantity": 8
}
Response
Here is an example of the response.
Note
The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
HTTP/1.1 200 OK
Content-type: application/json
{
"id": "967b7868-5e15-4adc-9698-cd88e509395b",
"employeeId": "dd6ce54a-d14f-40dc-a10d-1d4d18758c76",
"employeeNumber": "RL",
"lineNumber": 10000,
"date": "2019-01-02",
"quantity": 8,
"status": "Open",
"unitOfMeasureId": "a7ec16cb-014f-446a-a084-bc31d5d7e742",
"lastModfiedDateTime": "2019-03-25T14:26:55.027Z",
"unitOfMeasure": {
"code": "HOUR",
"displayName": "Hour",
"symbol": null,
"unitConversion": null
}
}
Related information
Tips for working with the APIs
Error Codes
timeRegistrationEntries
Get timeRegistrationEntries
Post timeRegistrationEntries
Patch timeRegistrationEntries
Delete timeRegistrationEntries